Metafunction
GappedValueType
Returns a value type that contains a blank value '-'.
GappedValueType<T>::Type
Include Headers
seqan/align.h
Parameters

T | The value type that should be expanded (if needed) by '-'.

Remarks
The default implementation returns T.
Return Values

Type | A value type that can be used to store store values in T and the value '-'.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59